import { PipeTransform } from "@angular/core";
import { SmallstackType } from "@smallstack/typesystem";
import { FrontendTypeRegistry } from "../services/frontend-type.registry";
import * as i0 from "@angular/core";
/** Returns the type for the given typePath */
export declare class TypePipe implements PipeTransform {
    private typeRegistry;
    constructor(typeRegistry: FrontendTypeRegistry);
    transform(typePath: string): Promise<SmallstackType>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<TypePipe, "smallstackType", true>;
}
